Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.local
Class LocalAbstractEventHandler<E,P extends Comparable<P>,C>

Show UML class diagram

    java.lang.Object
      com.hammurapi.eventbus.AbstractEventHandler<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,LocalEventStore<E,P,C>>
          com.hammurapi.eventbus.local.LocalAbstractEventHandler<E,P,C>

Type Parameters:
  `E` -
  `P` -
  `C` -

All Implemented Interfaces:
  EventHandler<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,LocalEventStore<E,P,C>>, EventHandlerBase<E,P,C>

    public abstract class LocalAbstractEventHandler<E,P extends Comparable<P>,C>

extends AbstractEventHandler<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,LocalEventStore<E,P,C>>

Abstract event handler with partially bound generic parameters.

Nested Class Summary

Nested classes/interfaces inherited from interface com.hammurapi.eventbus.EventHandlerBase
`EventHandlerBase.Mode`

Constructor Summary
`LocalAbstractEventHandler()`
`LocalAbstractEventHandler(int cardinality, P priority, C context, boolean consumes, boolean oneOff, EventHandlerBase.Mode mode, ... predicates)`
`LocalAbstractEventHandler(int cardinality, P priority, C context, boolean consumes, boolean oneOff, EventHandlerBase.Mode mode, predicate)`

Method Summary

Methods inherited from class com.hammurapi.eventbus.AbstractEventHandler
`consumes, getCardinality, getContext, getMode, getPredicate, getPriority, isOneOff, reset, setCardinality, setConsumes, setContext, setMode, setOneOff, setPredicate, setPriority, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.hammurapi.eventbus.EventHandler
`post`

Constructor Detail

### LocalAbstractEventHandler

    public LocalAbstractEventHandler()

### LocalAbstractEventHandler

    public LocalAbstractEventHandler(int cardinality,
                                     P priority,
                                     C context,
                                     boolean consumes,
                                     boolean oneOff,
                                     EventHandlerBase.Mode mode,
                                      predicate)

### LocalAbstractEventHandler

    public LocalAbstractEventHandler(int cardinality,
                                     P priority,
                                     C context,
                                     boolean consumes,
                                     boolean oneOff,
                                     EventHandlerBase.Mode mode,
                                     ... predicates)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD